Bug 1301540 - Accumulo translator: select rowid returns empty resultset
Summary: Accumulo translator: select rowid returns empty resultset
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER1
: 6.3.0
Assignee: Van Halbert
QA Contact: Filip Elias
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-25 10:52 UTC by Jan Stastny
Modified: 2016-08-24 11:39 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-24 11:39:15 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat One Jira Issue Tracker TEIID-3930 Major Resolved Accumulo translator: select rowid returns empty resultset 2016-06-08 11:26:46 UTC

Description Jan Stastny 2016-01-25 10:52:13 UTC
Description of problem:
When running following query:
SELECT rowid FROM User;
against a foreign table like following:
CREATE FOREIGN TABLE "User" (

    rowid string OPTIONS (UPDATABLE FALSE, SEARCHABLE 'All_Except_Like'),

    name_age string OPTIONS (SEARCHABLE 'All_Except_Like', "teiid_accumulo:CF" 'name', "teiid_accumulo:CQ" 'age', "teiid_accumulo:VALUE-IN" '{VALUE}'),

    name_firstname string OPTIONS (SEARCHABLE 'All_Except_Like', "teiid_accumulo:CF" 'name', "teiid_accumulo:CQ" 'firstname', "teiid_accumulo:VALUE-IN" '{VALUE}'),

    name_lastname string OPTIONS (SEARCHABLE 'All_Except_Like', "teiid_accumulo:CF" 'name', "teiid_accumulo:CQ" 'lastname', "teiid_accumulo:VALUE-IN" '{VALUE}'),

    CONSTRAINT PK0 PRIMARY KEY(rowid)

) OPTIONS (UPDATABLE TRUE);

An empty result-set is returned.
See linked JIRA.

Comment 1 JBoss JIRA Server 2016-01-29 16:43:35 UTC
Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-3930 to Coding In Progress

Comment 2 JBoss JIRA Server 2016-01-30 19:54:59 UTC
Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-3930 to Resolved


Note You need to log in before you can comment on or make changes to this bug.